NeoBio (NeoBio API)

Overview | Package | Class | Tree | Index | Help
| NeoBio API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## neobio.textui
Class NeoBio

    java.lang.Object
      |
      +--neobio.textui.NeoBio

public class NeoBio
extends java.lang.Object

This class is a simple command line based utility for computing pairwise sequence alignments using one of the the algorithms provided in the neobio.alignment package.

The main method takes the follwing parameters from the command line: ``

> NeoBio <alg> <S1> <S2> [M <matrix> | S <match> <mismatch> <gap>]

- `<alg>` is either `NW` for Needleman & Wunsch (global alignment), `SW` for Smith & Waterman (local alignment), `CLZG` for Crochemore, Landau & Ziv-Ukelson global alignment or `CLZL` for Crochemore, Landau & Ziv-Ukelson local alignment;
- `<S1>` is the first sequence file;
- `<S2>` is the second sequence file;
- `M <matrix>` is for using a scoring matrix file;
- `S <match> <mismatch> <gap>` is for using a simple scoring scheme, where `<match>` is the match reward value, `<mismatch>` is the mismatch penalty value and `<gap>` is the cost of a gap (linear gap cost function).

Author:
  Sergio A. de Carvalho Jr.

Constructor Summary
`NeoBio()`

Method Summary
`static void` | `main(java.lang.String[] args)` The main method takes parameters from the command line to compute a pairwise sequence alignment.
`static void` | `usage()` Prints command line usage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeoBio

    public NeoBio()

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main method takes parameters from the command line to compute a pairwise sequence alignment. See the class description for details.

  Parameters:
    `args` - command line arguments

### usage

    public static void usage()

  Prints command line usage.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://neobio.sourceforge.net
NeoBio is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. NeoBio is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NeoBio; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.